# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/pkg/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Core_system\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/pkg/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/pkg/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/pkg/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/pkg/bin/cpack --config ./CPackSourceConfig.cmake /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/pkg/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/pkg/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2/build/CMakeFiles /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /tmp/pkgbuild/lang/swi-prolog-jpl/work.earmv6hf/swipl-8.0.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named prolog_home

# Build rule for target.
prolog_home: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 prolog_home
.PHONY : prolog_home

# fast build rule for target.
prolog_home/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/prolog_home.dir/build.make CMakeFiles/prolog_home.dir/build
.PHONY : prolog_home/fast

#=============================================================================
# Target rules for targets named core_boot

# Build rule for target.
core_boot: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_boot
.PHONY : core_boot

# fast build rule for target.
core_boot/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_boot.dir/build.make src/CMakeFiles/core_boot.dir/build
.PHONY : core_boot/fast

#=============================================================================
# Target rules for targets named core_library_dcg

# Build rule for target.
core_library_dcg: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dcg
.PHONY : core_library_dcg

# fast build rule for target.
core_library_dcg/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dcg.dir/build.make src/CMakeFiles/core_library_dcg.dir/build
.PHONY : core_library_dcg/fast

#=============================================================================
# Target rules for targets named check

# Build rule for target.
check: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 check
.PHONY : check

# fast build rule for target.
check/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/check.dir/build.make src/CMakeFiles/check.dir/build
.PHONY : check/fast

#=============================================================================
# Target rules for targets named core_library_dialect_sicstus

# Build rule for target.
core_library_dialect_sicstus: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_sicstus
.PHONY : core_library_dialect_sicstus

# fast build rule for target.
core_library_dialect_sicstus/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_sicstus.dir/build.make src/CMakeFiles/core_library_dialect_sicstus.dir/build
.PHONY : core_library_dialect_sicstus/fast

#=============================================================================
# Target rules for targets named vmi-metadata

# Build rule for target.
vmi-metadata: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 vmi-metadata
.PHONY : vmi-metadata

# fast build rule for target.
vmi-metadata/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/vmi-metadata.dir/build.make src/CMakeFiles/vmi-metadata.dir/build
.PHONY : vmi-metadata/fast

#=============================================================================
# Target rules for targets named core_library_clp

# Build rule for target.
core_library_clp: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_clp
.PHONY : core_library_clp

# fast build rule for target.
core_library_clp/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_clp.dir/build.make src/CMakeFiles/core_library_clp.dir/build
.PHONY : core_library_clp/fast

#=============================================================================
# Target rules for targets named swipl-ld

# Build rule for target.
swipl-ld: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 swipl-ld
.PHONY : swipl-ld

# fast build rule for target.
swipl-ld/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/swipl-ld.dir/build.make src/CMakeFiles/swipl-ld.dir/build
.PHONY : swipl-ld/fast

#=============================================================================
# Target rules for targets named swipl

# Build rule for target.
swipl: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 swipl
.PHONY : swipl

# fast build rule for target.
swipl/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/swipl.dir/build.make src/CMakeFiles/swipl.dir/build
.PHONY : swipl/fast

#=============================================================================
# Target rules for targets named libswipl

# Build rule for target.
libswipl: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libswipl
.PHONY : libswipl

# fast build rule for target.
libswipl/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/libswipl.dir/build.make src/CMakeFiles/libswipl.dir/build
.PHONY : libswipl/fast

#=============================================================================
# Target rules for targets named core_library_dialect_swi

# Build rule for target.
core_library_dialect_swi: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_swi
.PHONY : core_library_dialect_swi

# fast build rule for target.
core_library_dialect_swi/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_swi.dir/build.make src/CMakeFiles/core_library_dialect_swi.dir/build
.PHONY : core_library_dialect_swi/fast

#=============================================================================
# Target rules for targets named core_compat_sicstus

# Build rule for target.
core_compat_sicstus: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_compat_sicstus
.PHONY : core_compat_sicstus

# fast build rule for target.
core_compat_sicstus/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_compat_sicstus.dir/build.make src/CMakeFiles/core_compat_sicstus.dir/build
.PHONY : core_compat_sicstus/fast

#=============================================================================
# Target rules for targets named core_library

# Build rule for target.
core_library: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library
.PHONY : core_library

# fast build rule for target.
core_library/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library.dir/build.make src/CMakeFiles/core_library.dir/build
.PHONY : core_library/fast

#=============================================================================
# Target rules for targets named core_library_dialect_hprolog

# Build rule for target.
core_library_dialect_hprolog: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_hprolog
.PHONY : core_library_dialect_hprolog

# fast build rule for target.
core_library_dialect_hprolog/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_hprolog.dir/build.make src/CMakeFiles/core_library_dialect_hprolog.dir/build
.PHONY : core_library_dialect_hprolog/fast

#=============================================================================
# Target rules for targets named qlf-prolog_xref

# Build rule for target.
qlf-prolog_xref: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 qlf-prolog_xref
.PHONY : qlf-prolog_xref

# fast build rule for target.
qlf-prolog_xref/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/qlf-prolog_xref.dir/build.make src/CMakeFiles/qlf-prolog_xref.dir/build
.PHONY : qlf-prolog_xref/fast

#=============================================================================
# Target rules for targets named mkvmi

# Build rule for target.
mkvmi: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mkvmi
.PHONY : mkvmi

# fast build rule for target.
mkvmi/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/mkvmi.dir/build.make src/CMakeFiles/mkvmi.dir/build
.PHONY : mkvmi/fast

#=============================================================================
# Target rules for targets named git-version

# Build rule for target.
git-version: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 git-version
.PHONY : git-version

# fast build rule for target.
git-version/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/git-version.dir/build.make src/CMakeFiles/git-version.dir/build
.PHONY : git-version/fast

#=============================================================================
# Target rules for targets named core_library_dialect

# Build rule for target.
core_library_dialect: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect
.PHONY : core_library_dialect

# fast build rule for target.
core_library_dialect/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect.dir/build.make src/CMakeFiles/core_library_dialect.dir/build
.PHONY : core_library_dialect/fast

#=============================================================================
# Target rules for targets named core_library_dialect_eclipse

# Build rule for target.
core_library_dialect_eclipse: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_eclipse
.PHONY : core_library_dialect_eclipse

# fast build rule for target.
core_library_dialect_eclipse/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_eclipse.dir/build.make src/CMakeFiles/core_library_dialect_eclipse.dir/build
.PHONY : core_library_dialect_eclipse/fast

#=============================================================================
# Target rules for targets named core_library_dialect_iso

# Build rule for target.
core_library_dialect_iso: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_iso
.PHONY : core_library_dialect_iso

# fast build rule for target.
core_library_dialect_iso/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_iso.dir/build.make src/CMakeFiles/core_library_dialect_iso.dir/build
.PHONY : core_library_dialect_iso/fast

#=============================================================================
# Target rules for targets named core_library_dialect_yap

# Build rule for target.
core_library_dialect_yap: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_dialect_yap
.PHONY : core_library_dialect_yap

# fast build rule for target.
core_library_dialect_yap/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_dialect_yap.dir/build.make src/CMakeFiles/core_library_dialect_yap.dir/build
.PHONY : core_library_dialect_yap/fast

#=============================================================================
# Target rules for targets named core_library_unicode

# Build rule for target.
core_library_unicode: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_unicode
.PHONY : core_library_unicode

# fast build rule for target.
core_library_unicode/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_unicode.dir/build.make src/CMakeFiles/core_library_unicode.dir/build
.PHONY : core_library_unicode/fast

#=============================================================================
# Target rules for targets named core_library_lynx

# Build rule for target.
core_library_lynx: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_library_lynx
.PHONY : core_library_lynx

# fast build rule for target.
core_library_lynx/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_library_lynx.dir/build.make src/CMakeFiles/core_library_lynx.dir/build
.PHONY : core_library_lynx/fast

#=============================================================================
# Target rules for targets named qlf-prolog_colour

# Build rule for target.
qlf-prolog_colour: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 qlf-prolog_colour
.PHONY : qlf-prolog_colour

# fast build rule for target.
qlf-prolog_colour/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/qlf-prolog_colour.dir/build.make src/CMakeFiles/qlf-prolog_colour.dir/build
.PHONY : qlf-prolog_colour/fast

#=============================================================================
# Target rules for targets named prolog_products

# Build rule for target.
prolog_products: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 prolog_products
.PHONY : prolog_products

# fast build rule for target.
prolog_products/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/prolog_products.dir/build.make src/CMakeFiles/prolog_products.dir/build
.PHONY : prolog_products/fast

#=============================================================================
# Target rules for targets named core_demo

# Build rule for target.
core_demo: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_demo
.PHONY : core_demo

# fast build rule for target.
core_demo/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_demo.dir/build.make src/CMakeFiles/core_demo.dir/build
.PHONY : core_demo/fast

#=============================================================================
# Target rules for targets named core_headers

# Build rule for target.
core_headers: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_headers
.PHONY : core_headers

# fast build rule for target.
core_headers/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_headers.dir/build.make src/CMakeFiles/core_headers.dir/build
.PHONY : core_headers/fast

#=============================================================================
# Target rules for targets named core-constants

# Build rule for target.
core-constants: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core-constants
.PHONY : core-constants

# fast build rule for target.
core-constants/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core-constants.dir/build.make src/CMakeFiles/core-constants.dir/build
.PHONY : core-constants/fast

#=============================================================================
# Target rules for targets named defatom

# Build rule for target.
defatom: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 defatom
.PHONY : defatom

# fast build rule for target.
defatom/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/defatom.dir/build.make src/CMakeFiles/defatom.dir/build
.PHONY : defatom/fast

#=============================================================================
# Target rules for targets named core_compat_yap

# Build rule for target.
core_compat_yap: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 core_compat_yap
.PHONY : core_compat_yap

# fast build rule for target.
core_compat_yap/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/core_compat_yap.dir/build.make src/CMakeFiles/core_compat_yap.dir/build
.PHONY : core_compat_yap/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... check"
	@echo "... core-constants"
	@echo "... core_boot"
	@echo "... core_compat_sicstus"
	@echo "... core_compat_yap"
	@echo "... core_demo"
	@echo "... core_headers"
	@echo "... core_library"
	@echo "... core_library_clp"
	@echo "... core_library_dcg"
	@echo "... core_library_dialect"
	@echo "... core_library_dialect_eclipse"
	@echo "... core_library_dialect_hprolog"
	@echo "... core_library_dialect_iso"
	@echo "... core_library_dialect_sicstus"
	@echo "... core_library_dialect_swi"
	@echo "... core_library_dialect_yap"
	@echo "... core_library_lynx"
	@echo "... core_library_unicode"
	@echo "... git-version"
	@echo "... prolog_home"
	@echo "... prolog_products"
	@echo "... qlf-prolog_colour"
	@echo "... qlf-prolog_xref"
	@echo "... vmi-metadata"
	@echo "... defatom"
	@echo "... libswipl"
	@echo "... mkvmi"
	@echo "... swipl"
	@echo "... swipl-ld"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

